#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <algorithm>

using namespace std;


int main()
{
    int t,i=0,j=0,k,i1=0;
    scanf("%d",&t);
    float a,b;
    int A[t][2];
    for(k=0;k<t;k++)
    {
        scanf("%f%f",&a,&b);
        for(i=0;i<a/2;i++)
            for(j=0;j<b/2;j++)
                if(i*j==a && i^j==b)
                {
                    A[i1][0]=i;
                    A[i1][1]=j;
                }
        i1++;
    }
    for(i=0;i<t;i++)
        printf("%d %d\n",A[i][0],A[i][1]);
    return 0;
}